use super::AsyncValidateError;

pub trait AsyncValidate<'a> {
    type Context: 'a;

    fn validate_with_context(
        &self,
        context: &'a Self::Context,
    ) -> impl Future<Output = Result<(), AsyncValidateError>>;
}
